%define upstream_name    HTML-FromANSI
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Mark up ANSI sequences as HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Term::VT102::Boundless)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok)
BuildArch: noarch

%description
This small module converts ANSI text sequences to corresponding HTML codes,
using stylesheets to control color and blinking properties.

It exports 'ansi2html()' by default, which takes an array, joins it it into
a single scalar, and returns its HTML rendering.

From version 2.00 an object oriented api which is safer for multiple uses
(no more manipulation of shared '%Options') is available. It is reccomended
that you no longer import any functions by doing:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/ansi2html
/usr/share/man/man1/ansi2html.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-10.mga8
+ Revision: 1494871
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.30.0-9.mga7
+ Revision: 1268488
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-8.mga6
+ Revision: 1028227
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.30.0-7.mga6
+ Revision: 949055
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.30.0-6.mga5
+ Revision: 788859
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-5.mga5
+ Revision: 748974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-4.mga5
+ Revision: 684940
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.30.0-3.mga4
+ Revision: 511973
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 368025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 311220
- imported package perl-HTML-FromANSI


* Sun Oct 28 2012 cpan2dist 2.03-1mga
- initial mageia release, generated with cpan2dist
